Wind River Support Network

HomeDefectsLIN5-23194
Fixed

LIN5-23194 : Security Advisory - linux - CVE-2017-1000380

Created: Jun 29, 2017    Updated: May 29, 2018
Resolved Date: Aug 16, 2017
Found In Version: 5.0.1.40
Fix Version: 5.0.1.41
Severity: Standard
Applicable for: Wind River Linux 5
Component/s: Kernel

Description

sound/core/timer.c in the Linux kernel before 4.11.5 is vulnerable to a data race in the ALSA /dev/snd/timer driver resulting in local users being able to read information belonging to other users, i.e., uninitialized memory contents may be disclosed when a read and an ioctl happen at the same time.

https://nvd.nist.gov/vuln/detail/CVE-2017-1000380

Other Downloads


Live chat
Online